class MixingPlan::GroupOperations < MixingPlan::Base

	def self.title
		'Group operations'
	end

	render(DIV) do

		TableHead { TableRow {
			TableCell { 'Sample' }
			TableCell {  }
			TableCell { 'Assay' }
		} }
		TableBody {
			map.each do |source, targets|
				TableRow {
					case direct
					when :sample
						TableCell { source.join }
						TableCell { '->' }
						TableCell { targets.map(&:join).join ' ' }
					when :assay
						TableCell { targets.map(&:join).join ' ' }
						TableCell { '->' }
						TableCell { source.join }
					end
				}
			end
		}

	end

end

