class PlainStore
	include Hyperstack::State::Observable

	def initialize value = nil
		self.value = value unless value.nil?
	end

	def value= val
		return val if val == @value
		mutate @value = val
	end

	def value
		observe @value
	end

end
