class HeadersControl
	def initialize(app, options = {})
		@app, @options = app, options
	end
	 
	# NB: Так-как мы удаляем заголовок Set-Cookie, нужно всегда не забывать,
	# что если делается любое изменение session или cookies, то нужно разрешать
	# изменение кук и присваивать в контроллере cookie_enable
	def call(env)
		r = @app.call(env)
		obj = env['action_controller.instance']
		if obj.respond_to?(:cookie_disabled?, true) && obj.send(:cookie_disabled?)
			r[1].delete "Set-Cookie"
		end
		r
	end
end
