Rails.application.routes.draw do
  devise_for :users, :controllers => {
			registrations: "user/registrations",
			sessions: "user/sessions",
			passwords: "user/passwords",
			confirmations: "user/confirmations"
		}

  mount Hyperstack::Engine => '/hyperstack'  # this route should be first in the routes file so it always matches
	root 'frontpage#index'

	get '/user/(:action)', controller: :user

  get '/lomt/(*others)', to: 'hyperstack#lomt_app'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
